Use this API to return a single User Mapping configuration.
Resource URL
https://<subdomain>.onelogin.com/api/2/mappings/:idHeader Parameters
Authorization required string | Set to Set The access token must have been generated using an API credential pair created using the scope required to call this API. This API can be called using any one of the following scopes: |
Resource Parameters
id required integer | The id of the user mapping to locate. |
Sample Responses
- 200 OK
- 401 Unauthorized
- 404 Not Found
{
"id": 196670,
"name": "My First Mapping",
"match": "all",
"enabled": true,
"position": 1,
"conditions": [
{
"source": "last_login",
"operator": ">",
"value": "90"
}
],
"actions": [
{
"action": "set_status",
"value": ["2"]
}
]
}Typically, this error means that your access token value is invalid.
{
"message": "Unauthorized",
"statusCode": 401,
"name": "UnauthorizedError"
}{
"message": "The resource with the given id could not be found",
"statusCode": 404,
"name": "NotFoundError"
}Postman Collection
Sample Code
cURL
Replace sample values indicated by < > with your actual values.
Get a Mapping
curl 'https://<subdomain>.onelogin.com/api/2/mappings/:id' \
-X GET \
-H "Authorization: bearer <access_token>"Have a Question?
Found a problem or a bug? Submit a support ticket.
Looking for walkthroughs or how-to guides? Check out our Knowledge Base.
Have a product idea or request? Share it in our Ideas Portal.